// Copyright (C) 2001 Charles Samuels <charles@kde.org>
// Copyright (C) 2001 Neil Stevens <neil@qualityassistant.com>

#ifndef TYLER_H
#define TYLER_H

#include <noatun/conversion.h>
#include <noatun/plugin.h>
#include <kprocess.h>
#include <tqwidget.h>

class Tyler : public TQObject, public StereoScope, public Plugin
{
TQ_OBJECT
  

public:
	Tyler();
	virtual ~Tyler();

	void init();

private slots:
	void processExited(TDEProcess *);

protected:
	virtual void scopeEvent(float *left, float *right, int bands);

private:
	char *mBuffer;
	static const int bufferSize;
	TDEProcess process;
};

#endif
